org.optaplanner.core.impl.score.stream.bavet

## Class BavetConstraintSession<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.BavetConstraintSession<Solution_>

- All Implemented Interfaces:
    AutoCloseable, ConstraintSession<Solution_>

      public final class BavetConstraintSession<Solution_>
      extends Object
      implements ConstraintSession<Solution_>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetConstraintSession(boolean constraintMatchEnabled, ScoreDefinition scoreDefinition, Map<BavetConstraint<Solution_>,Score<?>> constraintToWeightMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Score<?>` | `calculateScore(int initScore)`
    `void` | `close()`
    `List<BavetFromUniNode<Object>>` | `findFromNodeList(Class<?> factClass)`
    `Map<String,ConstraintMatchTotal>` | `getConstraintMatchTotalMap()` As defined by `ScoreDirector.getConstraintMatchTotalMap()`.
    `Map<Object,Indictment>` | `getIndictmentMap()` As defined by `ScoreDirector.getIndictmentMap()`.
    `ScoreInliner<?>` | `getScoreInliner()`
    `void` | `insert(Object fact)`
    `boolean` | `isConstraintMatchEnabled()`
    `void` | `retract(Object fact)`
    `void` | `transitionTuple(BavetAbstractTuple tuple, BavetTupleState newState)`
    `void` | `update(Object fact)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetConstraintSession

          public BavetConstraintSession(boolean constraintMatchEnabled,
                                        ScoreDefinition scoreDefinition,
                                        Map<BavetConstraint<Solution_>,Score<?>> constraintToWeightMap)

  - ### Method Detail

    - #### findFromNodeList

          public List<BavetFromUniNode<Object>> findFromNodeList(Class<?> factClass)

    - #### insert

          public void insert(Object fact)

      Specified by:
        `insert` in interface `ConstraintSession<Solution_>`

    - #### update

          public void update(Object fact)

      Specified by:
        `update` in interface `ConstraintSession<Solution_>`

    - #### retract

          public void retract(Object fact)

      Specified by:
        `retract` in interface `ConstraintSession<Solution_>`

    - #### transitionTuple

          public void transitionTuple(BavetAbstractTuple tuple,
                                      BavetTupleState newState)

    - #### calculateScore

          public Score<?> calculateScore(int initScore)

      Specified by:
        `calculateScore` in interface `ConstraintSession<Solution_>`

    - #### getConstraintMatchTotalMap

          public Map<String,ConstraintMatchTotal> getConstraintMatchTotalMap()

      Description copied from interface: `ConstraintSession`
      As defined by `ScoreDirector.getConstraintMatchTotalMap()`.
      Specified by:
        `getConstraintMatchTotalMap` in interface `ConstraintSession<Solution_>`
      Returns:
        never null
      See Also:
        `ScoreDirector.getConstraintMatchTotalMap()`

    - #### getIndictmentMap

          public Map<Object,Indictment> getIndictmentMap()

      Description copied from interface: `ConstraintSession`
      As defined by `ScoreDirector.getIndictmentMap()`.
      Specified by:
        `getIndictmentMap` in interface `ConstraintSession<Solution_>`
      Returns:
        never null
      See Also:
        `ScoreDirector.getIndictmentMap()`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ConstraintSession<Solution_>`

    - #### isConstraintMatchEnabled

          public boolean isConstraintMatchEnabled()

    - #### getScoreInliner

          public ScoreInliner<?> getScoreInliner()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.